PDA

View Full Version : Courier directories dissappeared


BLaCKie_MoRGaN
12th February 2007, 10:02
Hello i am running ISPConfig in Ubuntu 6.10 Server from Perfect Setup guide.

i had a problem with sasl authentication which was resolved from a post noting that in ubuntu needed the OPTIONS ="-c -m.... " parameter

now i have a weird problem

Every time i reboot the system the directories of courier ( /var/run/courier and /var/run/courier/authdaemon ) keep dissapearing and i have to mkdir them again and start the services manually. Also bind seems to need manual starting!

Does anyone have the same problem??

ANy solutions?

till
12th February 2007, 10:42
Please check the courier start / stop scripts if one of these is deleting the directories.

BLaCKie_MoRGaN
12th February 2007, 11:17
I forgot to mention that i am newbie at linux works.

Checked the courier (-imap, imap-ssl, -pop, -pop-ssl) files in the /etc/init.d/ directory and there is no rm command!

This is the courier-pop file
Would the line in bold letters help me bypass the problem?

#! /bin/sh -e
mkdir /var/run/courier/ -p
prefix="/usr"
exec_prefix=${prefix}
sysconfdir="/etc/courier"
sbindir="${exec_prefix}/sbin"
libexecdir="${prefix}/lib/courier"
TCPD="${sbindir}/couriertcpd"
DAEMON=${sbindir}/pop3d
PROGRAM="Courier POP3 server"
PROG="pop3d"
SSLCONFIG=

test -f $DAEMON || exit 0

if ! [ -x $TCPD ]; then
echo "ERR: $TCPD missing"
exit 1
fi

if ! [ -f ${sysconfdir}/pop3d ]; then
echo "ERR: config file missing"
exit 1
fi

# read/set defaults
if [ -f /etc/default/courier ]; then
. /etc/default/courier
fi
if [ -z "$MAILDIR" ]; then
MAILDIR=Maildir
fi

if [ -f "${sysconfdir}/pop3d-ssl" ]; then
. "${sysconfdir}/pop3d-ssl"
SSLCONFIG=1
fi
. ${sysconfdir}/pop3d

START=no
case "$POP3DSTART" in
[yY]*)START=yes;;
esac

case "$1" in
start)
if [ "$START" = "yes" ]; then
echo -n "Starting $PROGRAM:"

/usr/bin/env - /bin/sh -c " set -a; \
. ${sysconfdir}/pop3d; \
if [ "$SSLCONFIG" ]; then . ${sysconfdir}/pop3d-ssl; fi; \
POP3_STARTTLS=$POP3_STARTTLS; export POP3_STARTTLS; \
TLS_PROTOCOL=$TLS_STARTTLS_PROTOCOL; \
$TCPD -pid=$PIDFILE -stderrlogger=${sbindir}/courierlogger \
-maxprocs=$MAXDAEMONS -maxperip=$MAXPERIP \
$TCPDOPTS -address=$ADDRESS $PORT \
${libexecdir}/courier/courierpop3login $AUTHMODULELIST \
${libexecdir}/courier/courierpop3d $MAILDIR"
echo " $PROG."
fi
;;
stop)
echo -n "Stopping $PROGRAM:"
$TCPD -pid=$PIDFILE -stop
echo " $PROG."
;;
restart | reload | force-reload)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart|reload|force-reload}" >&2
exit 1
;;
esac

exit 0

falko
13th February 2007, 18:13
This is the courier-pop file
Would the line in bold letters help me bypass the problem?
Should be
mkdir -p /var/run/courier/ instead. That should work.